package com.ydl.ydlcommon.mvp.lce.view

import android.support.annotation.UiThread

/**
 * Created by haorui on 2019-08-14.
 * Des: 自定义 StateView 实现接口
 */
interface ILceViewState {

    @UiThread
    fun showLoading()

    @UiThread
    fun hideLoading()

    @UiThread
    fun showError(msg: String)

    @UiThread
    fun showEmpty(msg: String)

    fun setListener(listener: LogoLoadingListener)

    interface LogoLoadingListener {
        fun onDataResetClick()
        fun onBackClick()
    }
}
